Page MenuHomePhabricator

Fix ENOMEM message on Windows and solaris
ClosedPublic

Authored by vtorri on Jun 16 2020, 2:47 PM.

Details

Summary

on Windows and solaris, the string associated to ENOMEM is "Not enough space"

Test Plan

test

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
vtorri created this revision.Jun 16 2020, 2:47 PM
vtorri requested review of this revision.Jun 16 2020, 2:47 PM
vtorri added subscribers: jptiz, walac.

Thank you Vincent, for reference error strings on illumos are listed at http://src.illumos.org/source/xref/illumos-gate/usr/src/lib/libc/port/gen/errlist , see enum value 12 for ENOMEM.

jptiz accepted this revision.Jun 16 2020, 5:29 PM

Looks good :)

This revision is now accepted and ready to land.Jun 16 2020, 5:29 PM
walac accepted this revision.Jun 17 2020, 5:07 AM
stefan_schmidt accepted this revision.Jun 18 2020, 4:42 AM
stefan_schmidt added a subscriber: stefan_schmidt.

Not the biggest fan of platform ifdef's sprinkled in code, but given its a test case for eina_error I am ok with it.

This revision was automatically updated to reflect the committed changes.